noinst_LTLIBRARIES = libjsoncpp.la

libjsoncpp_la_CFLAGS = 	\
	$(BMP_DEFINES) -I$(top_srcdir) 
libjsoncpp_la_CXXFLAGS = \
	$(BMP_DEFINES) -I$(top_srcdir)

libjsoncpp_la_SOURCES =  			\
			json_reader.cpp					\
			json_value.cpp					\
			json_writer.cpp

noinst_HEADERS =							\
			autolink.h							\
			config.h								\
			forwards.h							\
			json_batchallocator.h		\
			json.h									\
			reader.h								\
			value.h									\
			writer.h

EXTRA_DIST = json_valueiterator.inl

